uk.ac.starlink.votable.dom

## Class DelegatingEntity

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingEntity

- All Implemented Interfaces:
    org.w3c.dom.Entity, org.w3c.dom.Node

      public class DelegatingEntity
      extends DelegatingNode
      implements org.w3c.dom.Entity

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DelegatingEntity(org.w3c.dom.Entity base, DelegatingDocument doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInputEncoding()`
    `java.lang.String` | `getNotationName()`
    `java.lang.String` | `getPublicId()`
    `java.lang.String` | `getSystemId()`
    `java.lang.String` | `getXmlEncoding()`
    `java.lang.String` | `getXmlVersion()`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### DelegatingEntity

          protected DelegatingEntity(org.w3c.dom.Entity base,
                                     DelegatingDocument doc)

  - ### Method Detail

    - #### getNotationName

          public java.lang.String getNotationName()

      Specified by:
        `getNotationName` in interface `org.w3c.dom.Entity`

    - #### getPublicId

          public java.lang.String getPublicId()

      Specified by:
        `getPublicId` in interface `org.w3c.dom.Entity`

    - #### getSystemId

          public java.lang.String getSystemId()

      Specified by:
        `getSystemId` in interface `org.w3c.dom.Entity`

    - #### getInputEncoding

          public java.lang.String getInputEncoding()

      Specified by:
        `getInputEncoding` in interface `org.w3c.dom.Entity`

    - #### getXmlEncoding

          public java.lang.String getXmlEncoding()

      Specified by:
        `getXmlEncoding` in interface `org.w3c.dom.Entity`

    - #### getXmlVersion

          public java.lang.String getXmlVersion()

      Specified by:
        `getXmlVersion` in interface `org.w3c.dom.Entity`